Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Java] Class DefaultPluginMetaManager

    java.lang.Object
      org.codehaus.groovy.grails.plugins.DefaultPluginMetaManager

All Implemented Interfaces:
  PluginMetaManager

    @Deprecated
    @SuppressWarnings("unused")
    public class DefaultPluginMetaManager

Implements the PluginMetaManager interface by parsing a set of plugin.xml files from the given set of resources.

deprecated:
  This class is deprecated from version 1.2 and above

Authors:
  Graeme Rocher
  Chanwit Kaewkasi

Since:
  0.6

Constructor Summary
`DefaultPluginMetaManager()`
`DefaultPluginMetaManager(Resource[] pluginDescriptors)`

Method Summary
`GrailsPlugin` | `getPluginForResource(java.lang.String name)`
`java.lang.String` | `getPluginPathForResource(java.lang.String resourceName)`
`String[]` | `getPluginResources(java.lang.String pluginName)`
`java.lang.String` | `getPluginViewsPathForResource(java.lang.String resourceName)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`void` | `setPluginManager(GrailsPluginManager pluginManager)`
`void` | `setResourcePattern(java.lang.String resourcePattern)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultPluginMetaManager

    public DefaultPluginMetaManager()

### DefaultPluginMetaManager

    public DefaultPluginMetaManager(Resource[] pluginDescriptors)

Method Detail

### getPluginForResource

    public GrailsPlugin getPluginForResource(java.lang.String name)

### getPluginPathForResource

    public java.lang.String getPluginPathForResource(java.lang.String resourceName)

### getPluginResources

    public String[] getPluginResources(java.lang.String pluginName)

### getPluginViewsPathForResource

    public java.lang.String getPluginViewsPathForResource(java.lang.String resourceName)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

### setPluginManager

    public void setPluginManager(GrailsPluginManager pluginManager)

### setResourcePattern

    public void setResourcePattern(java.lang.String resourcePattern)

Groovy Documentation